Supported Devices for LobbyConnect

    October 11th, 2016

    Last updated: October 11th, 2016

      For our LobbyConnect displays we currently support the following devices:

      • iPad (Generation 2 or later that support iOS 9)
      • iPad Mini (that supports iOS 9 or later)

      Was this article helpful?

      Send feedback

      Get In Touch With Us

      Start a Support Ticket